#1898 closed defect (fixed)

Optional CPU dependent _Per_CPU_Information attributes

Reported by: Sebastian Huber Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: chrisj@… Blocked By:
Blocking:

Description

I would like to add optional CPU dependent _Per_CPU_Information attributes:

Index: score/include/rtems/score/percpu.h
===================================================================
RCS file: /usr1/CVS/rtems/cpukit/score/include/rtems/score/percpu.h,v
retrieving revision 1.12
diff -u -r1.12 percpu.h
--- score/include/rtems/score/percpu.h 15 Jul 2011 14:36:37 -0000 1.12
+++ score/include/rtems/score/percpu.h 16 Aug 2011 11:42:19 -0000
@@ -216,7 +216,8 @@

*

  • This is an array of per CPU core information. */

-extern Per_CPU_Control _Per_CPU_Information[];
+extern CPU_PER_CPU_INFORMATION_ATTRIBUTES Per_CPU_Control
+ _Per_CPU_Information[];

#if defined(RTEMS_SMP)
/

This allows to place the _Per_CPU_Information table into special memory regions e.g. the small data area. On some CPUs this can lead to slightly optimized load and store instructions.

This define should be placed into <rtems/score/cpu.h>. The default is undefined.

Example:

#define CPU_PER_CPU_INFORMATION_ATTRIBUTES attribute((section(".sdata")))

Change History (3)

comment:1 Changed on Aug 16, 2011 at 10:07:23 PM by Chris Johns

Cc: Chris Johns added

comment:2 Changed on Sep 14, 2011 at 1:17:42 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

Committed change above.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.